- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# StringMatchFilter Class Reference

Inherits Filter.

List of all members.

## Detailed Description

This is a very simple filter based on string matching.

The filter admits two options StringToMatch and AcceptOnMatch. If there is a match between the value of the StringToMatch option and the message of the LoggingEvent, then the decide method returns ACCEPT if the AcceptOnMatch option value is true, if it is false then DENY is returned. If there is no match, NEUTRAL is returned.

See configuration files test6.xml, test7.xml, test8.xml, test9.xml, and test10.xml for examples of seeting up a `StringMatchFilter`.

## Public Types
typedef spi::Filter | BASE_CLASS
## Public Member Functions
| StringMatchFilter ()
virtual void | setOption (const LogString &option, const LogString &value)
| Set options.
void | setStringToMatch (const LogString &stringToMatch1)
const LogString & | getStringToMatch () const
void | setAcceptOnMatch (bool acceptOnMatch1)
bool | getAcceptOnMatch () const
FilterDecision | decide (const spi::LoggingEventPtr &event) const
| Returns NEUTRAL is there is no string match.

## Member Typedef Documentation

typedef spi::Filter BASE_CLASS

## Constructor & Destructor Documentation

StringMatchFilter | ( |  | ) |

## Member Function Documentation

FilterDecision decide | ( | const spi::LoggingEventPtr & | event | ) | const`[virtual]`

| Returns NEUTRAL is there is no string match. Implements Filter.

bool getAcceptOnMatch | ( |  | ) | const`[inline]`

const LogString& getStringToMatch | ( |  | ) | const`[inline]`

void setAcceptOnMatch | ( | bool | acceptOnMatch1 | ) | `[inline]`

virtual void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) | `[virtual]`

| Set options. Reimplemented from Filter.

void setStringToMatch | ( | const LogString & | stringToMatch1 | ) | `[inline]`

The documentation for this class was generated from the following file:

- stringmatchfilter.h